Package org.linphone.mediastream.video.capture.hwconf

# Class Hacks

java.lang.Object
org.linphone.mediastream.video.capture.hwconf.Hacks

public final class Hacks extends Object

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`hasBuiltInEchoCanceller()`
`static boolean`
`hasCamera()`
`static final boolean`
`hasTwoCamerasRear0Front1()`
`static boolean`
`isGalaxySOrTab()`
`static boolean`
`isGalaxySOrTabWithFrontCamera()`
`static boolean`
`isGalaxyTab()`
`static boolean`
`needGalaxySAudioHack()`
`static boolean`
`needPausingCallForSpeakers()`
`static boolean`
`needSoftvolume()`
`static final void`
`sleep(int time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isGalaxySOrTabWithFrontCamera

public static boolean isGalaxySOrTabWithFrontCamera()

### isGalaxySOrTab

public static boolean isGalaxySOrTab()

### isGalaxyTab

public static boolean isGalaxyTab()

### hasTwoCamerasRear0Front1

public static final boolean hasTwoCamerasRear0Front1()

### sleep

public static final void sleep(int time)

### needSoftvolume

public static boolean needSoftvolume()

### needGalaxySAudioHack

public static boolean needGalaxySAudioHack()

### needPausingCallForSpeakers

public static boolean needPausingCallForSpeakers()

### hasCamera

public static boolean hasCamera()

### hasBuiltInEchoCanceller

public static boolean hasBuiltInEchoCanceller()